View Single Post
Old 11-05-2012, 06:53 AM   #31
twobob
( ͡° ͜ʖ ͡°){ʇlnɐɟ ƃǝs}Týr
twobob ought to be getting tired of karma fortunes by now.twobob ought to be getting tired of karma fortunes by now.twobob ought to be getting tired of karma fortunes by now.twobob ought to be getting tired of karma fortunes by now.twobob ought to be getting tired of karma fortunes by now.twobob ought to be getting tired of karma fortunes by now.twobob ought to be getting tired of karma fortunes by now.twobob ought to be getting tired of karma fortunes by now.twobob ought to be getting tired of karma fortunes by now.twobob ought to be getting tired of karma fortunes by now.twobob ought to be getting tired of karma fortunes by now.
 
twobob's Avatar
 
Posts: 6,552
Karma: 6021146
Join Date: Jun 2012
Location: uti gratia usura (Yao ying da ying; Mo ying da yieng)
Device: PW-WIFI|K5-3G+WIFI| K4|K3-3G|DXG|K2| Rooted Nook Touch
In case it's not BLINDINGLY obvious, I have done this stuff once or twice ever...
You have been warned.

I'm reading: http://www.cyberciti.biz/ref/apt-dpkg-ref.html

http://www.mobileread.com/forums/sho...5&postcount=35 is better than this post for the following install info

---------------------------------------------
Spoiler:
more likely noise on the 5
(after transferring the files onto debian)

root@kindle:/# dpkg -i /root/libmokoui2-0_0.3+bzr20080630-0ubuntu4_armel.deb
Quote:
Selecting previously unselected package libmokoui2-0.
(Reading database ... 24663 files and directories currently installed.)
Unpacking libmokoui2-0 (from .../libmokoui2-0_0.3+bzr20080630-0ubuntu4_armel.deb) ...
Setting up libmokoui2-0 (0.3+bzr20080630-0ubuntu4) ...
root@kindle:/# dpkg -i /root/libmokoui2-doc_0.3+bzr20080630-0ubuntu4_all.deb
Quote:
Selecting previously unselected package libmokoui2-doc.
(Reading database ... 24669 files and directories currently installed.)
Unpacking libmokoui2-doc (from .../libmokoui2-doc_0.3+bzr20080630-0ubuntu4_all.deb) ...
Setting up libmokoui2-doc (0.3+bzr20080630-0ubuntu4) ...
root@kindle:/# dpkg -i /root/libmokoui2-dev_0.3+bzr20080630-0ubuntu4_armel.deb
Spoiler:
Quote:
Selecting previously unselected package libmokoui2-dev.
(Reading database ... 24690 files and directories currently installed.)
Unpacking libmokoui2-dev (from .../libmokoui2-dev_0.3+bzr20080630-0ubuntu4_armel.deb) ...
dpkg: dependency problems prevent configuration of libmokoui2-dev:
libmokoui2-dev depends on libgtk2.0-dev; however:
Package libgtk2.0-dev is not installed.

dpkg: error processing libmokoui2-dev (--install):
dependency problems - leaving unconfigured
Errors were encountered while processing:
libmokoui2-dev

root@kindle:/# dpkg -i /root/moko-engine_0.2+svn817-1_armel.deb
Quote:
Selecting previously unselected package moko-engine.
(Reading database ... 24704 files and directories currently installed.)
Unpacking moko-engine (from .../moko-engine_0.2+svn817-1_armel.deb) ...
Setting up moko-engine (0.2+svn817-1) ...
root@kindle:/# dpkg -i /root/libmokoui2-vala_0.3+bzr20080630-0ubuntu4_armel.deb
Spoiler:
Quote:
Selecting previously unselected package libmokoui2-vala.
(Reading database ... 24764 files and directories currently installed.)
Unpacking libmokoui2-vala (from .../libmokoui2-vala_0.3+bzr20080630-0ubuntu4_armel.deb) ...
dpkg: dependency problems prevent configuration of libmokoui2-vala:
libmokoui2-vala depends on valac; however:
Package valac is not installed.

dpkg: error processing libmokoui2-vala (--install):
dependency problems - leaving unconfigured
Errors were encountered while processing:
libmokoui2-vala

root@kindle:/# dpkg -i /root/matchbox-desktop_2.0-4.1_armel.deb
Quote:
(Reading database ... 24772 files and directories currently installed.)
Preparing to replace matchbox-desktop 2.0-4.1 (using .../matchbox-desktop_2.0-4.1_armel.deb) ...
Unpacking replacement matchbox-desktop ...
dpkg: dependency problems prevent configuration of matchbox-desktop:
matchbox-desktop depends on matchbox-common; however:
Package matchbox-common is not installed.

dpkg: error processing matchbox-desktop (--install):
dependency problems - leaving unconfigured
Processing triggers for man-db ...
Errors were encountered while processing:
matchbox-desktop
root@kindle:/# dpkg -i /root/matchbox-keyboard_0.1+svn20121101+really20080916-1_armel.deb
Quote:
Selecting previously unselected package matchbox-keyboard.
(Reading database ... 24772 files and directories currently installed.)
Unpacking matchbox-keyboard (from .../matchbox-keyboard_0.1+svn20121101+really20080916-1_armel.deb) ...
dpkg: dependency problems prevent configuration of matchbox-keyboard:
matchbox-keyboard depends on libfakekey0 (>= 0.1); however:
Package libfakekey0 is not installed.

dpkg: error processing matchbox-keyboard (--install):
dependency problems - leaving unconfigured
Processing triggers for man-db ...
Errors were encountered while processing:
matchbox-keyboard
root@kindle:/# dpkg -i /root/matchbox-keyboard-im_0.1+svn20121101+really20080916-1_armel.deb
Quote:
(Reading database ... 24793 files and directories currently installed.)
Preparing to replace matchbox-keyboard-im 0.1+svn20080916-9+b1 (using .../matchbox-keyboard-im_0.1+svn20121101+really20080916-1_armel.deb) ...
Unpacking replacement matchbox-keyboard-im ...
Setting up matchbox-keyboard-im (0.1+svn20121101+really20080916-1) ...
Processing triggers for libgtk2.0-0:armel ...

Will install those missing things and try again

Last edited by twobob; 11-05-2012 at 08:15 PM. Reason: WAIT
twobob is offline   Reply With Quote